from rest_framework.viewsets import ModelViewSet, ReadOnlyModelViewSet

from colloscope.models import *
from colloscope.serializers import *


class SchoolViewset(ReadOnlyModelViewSet):

    serializer_class = SchoolSerializer

    def get_queryset(self):
        return School.objects.all()


class ClassViewset(ReadOnlyModelViewSet):
    serializer_class = ClassSerializer

    def get_queryset(self):
        return Class.objects.all()


class TermViewset(ReadOnlyModelViewSet):
    serializer_class = TermSerializer

    def get_queryset(self):
        return Term.objects.all()


class SubjectViewset(ReadOnlyModelViewSet):
    serializer_class = SubjectSerializer

    def get_queryset(self):
        return Subject.objects.all()


class GroupTypeViewset(ReadOnlyModelViewSet):
    serializer_class = GroupTypeSerializer

    def get_queryset(self):
        return GroupType.objects.all()


class GroupViewset(ReadOnlyModelViewSet):
    serializer_class = GroupSerializer

    def get_queryset(self):
        return Group.objects.all()


class StudentViewset(ReadOnlyModelViewSet):
    serializer_class = StudentSerializer

    def get_queryset(self):
        return Student.objects.all()


class ColleurViewset(ReadOnlyModelViewSet):
    serializer_class = ColleurSerializer

    def get_queryset(self):
        return Colleur.objects.all()


class SlotViewset(ReadOnlyModelViewSet):
    serializer_class = SlotSerializer

    def get_queryset(self):
        return Slot.objects.all()


class ColleViewset(ReadOnlyModelViewSet):
    serializer_class = ColleSerializer

    def get_queryset(self):
        return Colle.objects.all()


class CalendarLinkViewset(ReadOnlyModelViewSet):
    serializer_class = CalendarLinkSerializer

    def get_queryset(self):
        return CalendarLink.objects.all()
